%global debug_package   %{nil}

Name:           PEGTL
Version:        1.3.1
Release:        1%{?dist}
Summary:        Parsing Expression Grammar Template Library
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/ColinH/%{name}/
Source0:        https://github.com/ColinH/%{name}/archive/%{version}.tar.gz

BuildRequires: /usr/bin/make

%description
The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
C++11 header-only library for creating parsers according to a Parsing
Expression Grammar (PEG).

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}

%check
make

%install
install -d -m 0755 %{buildroot}%{_includedir}
find pegtl.hh pegtl/ -type f -exec install -D -p -m 0644 "{}" "%{buildroot}%{_includedir}/{}" \;

%files devel
%doc README.md examples/
%license LICENSE
%{_includedir}/pegtl.hh
%{_includedir}/pegtl

%changelog
* Thu Jul 14 2016 Daniel Kopecek <dkopecek@redhat.com> - 1.3.1-1
- Initial package
